<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBConnectors documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBConnectors">IBConnectors documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the
        NSApplication(IBConnections)
        category</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the
        NSNibConnector(IBConnectorsProtocol)
        category</a>
        </li>
        <li>
          <a href="#003000000000">Software documentation for the
        NSObject(IBNibInstantiation)
        category</a>
        </li>
        <li>
          <a href="#004000000000">Software documentation for the IBConnectors protocol</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the
        NSApplication(IBConnections)
        category
      </a></h1>
    <h2>NSApplication(<a name="category$NSApplication(IBConnections)">IBConnections</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBConnectors.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBConnectors.html#method$NSApplication(IBConnections)-connectDestination">-connectDestination</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$NSApplication(IBConnections)-connectSource">-connectSource</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$NSApplication(IBConnections)-displayConnectionBetween$and$">-displayConnectionBetween:and:</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$NSApplication(IBConnections)-isConnecting">-isConnecting</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$NSApplication(IBConnections)-stopConnecting">-stopConnecting</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$NSApplication(IBConnections)-connectDestination">connectDestination&nbsp;</a></h3>
    - (id) <b>connectDestination</b>;<br />
    <div class="desc">
      
            [NSApp -connectDestination] returns the target
            object as set by the most recent [NSApp
            -displayConnectionBetween:and:]
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSApplication(IBConnections)-connectSource">connectSource&nbsp;</a></h3>
    - (id) <b>connectSource</b>;<br />
    <div class="desc">
      
            [NSApp -connectSource] returns the source object as
            set by the most recent [NSApp
            -displayConnectionBetween:and:]
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSApplication(IBConnections)-displayConnectionBetween$and$">displayConnectionBetween:&nbsp;and:&nbsp;</a></h3>
    - (void) <b>displayConnectionBetween:</b> (id)source<b> and:</b> (id)destination;<br />
    <div class="desc">
      
            [NSApp -displayConnectionBetween:and:] is used to
            set the <var>source</var> and target objects and mark
            the display appropriately. Setting either
            <var>source</var> or target to &apos;nil&apos; will remove
            markup from any previous <var>source</var> or
            target. NB. This method expects to be able to call
            the active document to ask it for the window and
            rectangle in which to perform markup.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSApplication(IBConnections)-isConnecting">isConnecting&nbsp;</a></h3>
    - (BOOL) <b>isConnecting</b>;<br />
    <div class="desc">
      
            [NSApp -isConnecting] simply lets you know if a
            connection is in progress.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$NSApplication(IBConnections)-stopConnecting">stopConnecting&nbsp;</a></h3>
    - (void) <b>stopConnecting</b>;<br />
    <div class="desc">
      
            [NSApp -stopConnecting] terminates the current
            connection process and removes the connection
            marks from the display.
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="002000000000">
        Software documentation for the
        NSNibConnector(IBConnectorsProtocol)
        category
      </a></h1>
    <h2>NSNibConnector(<a name="category$NSNibConnector(IBConnectorsProtocol)">IBConnectorsProtocol</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBConnectors.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd><a rel="gsdoc" href="#protocol$(IBConnectors)">IBConnectors</a></dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>

          <h1><a name="003000000000">
        Software documentation for the
        NSObject(IBNibInstantiation)
        category
      </a></h1>
    <h2>NSObject(<a name="category$NSObject(IBNibInstantiation)">IBNibInstantiation</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBConnectors.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBConnectors.html#method$NSObject(IBNibInstantiation)-nibInstantiate">-nibInstantiate</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$NSObject(IBNibInstantiation)-nibInstantiate">nibInstantiate&nbsp;</a></h3>
    - (id) <b>nibInstantiate</b>;<br />
    <div class="desc">
      
            Invoked after loading.
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="004000000000">
        Software documentation for the IBConnectors protocol
      </a></h1>
    <h2><a name="protocol$(IBConnectors)">IBConnectors</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBConnectors.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>NSObject</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-destination">-destination</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-establishConnection">-establishConnection</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-label">-label</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-nibInstantiate">-nibInstantiate</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-replaceObject$withObject$">-replaceObject:withObject:</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-setDestination$">-setDestination:</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-setLabel$">-setLabel:</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-setSource$">-setSource:</a></li>
      <li><a rel="gsdoc" href="IBConnectors.html#method$(IBConnectors)-source">-source</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(IBConnectors)-destination">destination&nbsp;</a></h3>
    - (id) <b>destination</b>;<br />
    <div class="desc">
      
            Destination for the receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-establishConnection">establishConnection&nbsp;</a></h3>
    - (void) <b>establishConnection</b>;<br />
    <div class="desc">
      
            Establish the connection.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-label">label&nbsp;</a></h3>
    - (NSString*) <b>label</b>;<br />
    <div class="desc">
      
            The method to which the receiver will be connected.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-nibInstantiate">nibInstantiate&nbsp;</a></h3>
    - (id) <b>nibInstantiate</b>;<br />
    <div class="desc">
      
            Called after the document is loaded on connections.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-replaceObject$withObject$">replaceObject:&nbsp;withObject:&nbsp;</a></h3>
    - (void) <b>replaceObject:</b> (id)anObject<b> withObject:</b> (id)anotherObject;<br />
    <div class="desc">
      
            Replace <var>anObject</var> with
            <var>anotherObject</var>. This method looks at the
            receiver&apos;s source and destination and replaces
            whichever one matches <var>anObject</var> with
            <var>anotherObject</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-setDestination$">setDestination:&nbsp;</a></h3>
    - (void) <b>setDestination:</b> (id)anObject;<br />
    <div class="desc">
      
            Set the receiver&apos;s destination to <var>anObject</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-setLabel$">setLabel:&nbsp;</a></h3>
    - (void) <b>setLabel:</b> (NSString*)label;<br />
    <div class="desc">
      
            Set the receiver&apos;s <var>label</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-setSource$">setSource:&nbsp;</a></h3>
    - (void) <b>setSource:</b> (id)anObject;<br />
    <div class="desc">
      
            Set the receiver&apos;s source to <var>anObject</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBConnectors)-source">source&nbsp;</a></h3>
    - (id) <b>source</b>;<br />
    <div class="desc">
      
            The source of the receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
